## burn burn — Burn adjusts the colors in the video signal. |

## Properties

gboolean | silent | Read / Write
guint | adjustment | Read / Write

## Types and Values

struct | GstBurn

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GstObject
                ╰── GstElement
                    ╰── GstBaseTransform
                        ╰── GstVideoFilter
                            ╰── GstBurn

## Description

Burn adjusts the colors of a video stream in realtime.

### Example launch line

    1
    gst-launch -v videotestsrc ! burn ! videoconvert ! autovideosink

This pipeline shows the effect of burn on a test stream

## Synopsis

### Element Information

plugin | gaudieffects
author | Luis de Bethencourt <luis@debethencourt.com>
class | Filter/Effect/Video

### Element Pads

name | sink
direction | sink
presence | always
details | video/x-raw, format=(string){ BGRx, RGBx }, width=(int)[ 1, 2147483647 ], height=(int)[ 1, 2147483647 ], framerate=(fraction)[ 0/1, 2147483647/1 ]

name | src
direction | source
presence | always
details | video/x-raw, format=(string){ BGRx, RGBx }, width=(int)[ 1, 2147483647 ], height=(int)[ 1, 2147483647 ], framerate=(fraction)[ 0/1, 2147483647/1 ]

## Functions

## Types and Values

### struct GstBurn

    struct GstBurn;

## Property Details

### The `“silent”` property

      “silent”                   gboolean

Produce verbose output ?.

Flags: Read / Write

Default value: FALSE

### The `“adjustment”` property

      “adjustment”               guint

Adjustment parameter.

Flags: Read / Write

Allowed values: <= 256

Default value: 175